// component/exchange-coupon-modal/exchange-coupon-modal.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    isExchange:Boolean
  },

  /**
   * 组件的初始数据
   */
  data: {
    couponNum:'2'
  },

  /**
   * 组件的方法列表
   */
  methods: {
    minusNum(){
      let number = this.data.couponNum
      if (this.data.couponNum > 1) {
        number--
        this.setData({
          couponNum: number
        })
      } else {
        wx.showToast({
          title: '数量不能为0',
          icon: 'none'
        })
      }
    },
    addNum(){
      let number = this.data.couponNum
      if (this.data.couponNum < 500) {
        number++
        this.setData({
          couponNum: number
        })
      } else {
        wx.showToast({
          title: '数量不能超过库存',
          icon: 'none'
        })
      }
    },
    //再想想
    cancel(){
      this.setData({
        isExchange: false
      })
    },
    //立即兑换
    query(){

    }
  }
})
